#include <stdio.h>
#include "../winuser.h"
int _QTCreateMovieBmp(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _QTCreateStreamMovieBmp(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _QTProcessMovie(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _QTStopMovie(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _QTPlayMovie(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _QTIsMovieDone(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _QTSetMovieVolume(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _QTGetMovieDuration(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _QTGetMovieTime(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _QTSetMovieTime(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _QTGetMovieSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _QTForwardOneFrame(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _QTDestroyMovie(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
#define NQuickTimePKG 14
char* QuickTimename[NQuickTimePKG]=
{"_QTCreateMovieBmp","_QTCreateStreamMovieBmp","_QTProcessMovie","_QTStopMovie","_QTPlayMovie","_QTIsMovieDone","_QTSetMovieVolume","_QTGetMovieDuration","_QTGetMovieTime","_QTSetMovieTime","_QTGetMovieSize","_QTForwardOneFrame","_QTDestroyMovie","QTMovie"};
int (*QuickTimefun[NQuickTimePKG])(mmachine m)=
{_QTCreateMovieBmp,_QTCreateStreamMovieBmp,_QTProcessMovie,_QTStopMovie,_QTPlayMovie,_QTIsMovieDone,_QTSetMovieVolume,_QTGetMovieDuration,_QTGetMovieTime,_QTSetMovieTime,_QTGetMovieSize,_QTForwardOneFrame,_QTDestroyMovie,NULL};
int QuickTimenarg[NQuickTimePKG]=
{4,4,1,1,1,1,2,1,1,2,1,2,1,TYPTYPE};
char* QuickTimetype[NQuickTimePKG]=
{"fun [Chn P ObjBitmap I] QTMovie","fun [Chn S ObjBitmap I] QTMovie","fun [QTMovie] I","fun [QTMovie] QTMovie","fun [QTMovie] QTMovie","fun [QTMovie] I","fun [QTMovie I] QTMovie","fun [QTMovie] [I I]","fun [QTMovie] [I I]","fun [QTMovie I] QTMovie","fun [QTMovie] [I I]","fun [QTMovie I] QTMovie","fun [QTMovie] QTMovie",NULL};
int SCOLloadQuickTime(mmachine m)
{
return PKhardpak(m,"QuickTime.pkg",NQuickTimePKG,QuickTimename,QuickTimefun,QuickTimenarg,QuickTimetype);
}
